apiVersion: v1
kind: Service
metadata:
  name: whitelist
  labels:
    app: whitelist
    service: whitelist
    group: kmu-enrollment-group
spec:
  ports:
  - name: http
    port: 8080
  - name: grpc
    port: 8090
  selector:
    app: whitelist
    group: kmu-enrollment-group

---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: whitelist
spec:
  hosts:
    - "*"
  gateways:
    - enrollment-gateway
  http:
    - match:
        - uri:
            prefix: /api/whitelist/
      rewrite:
        uri: /
      route:
        - destination:
            host: whitelist
            port:
              number: 8080
